Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class BatchTransactionPragma

    java.lang.Object
      org.exist.xquery.Pragma
          org.exist.xquery.BatchTransactionPragma

public class BatchTransactionPragma
extends Pragma

Field Summary
`static QName` | `BATCH_TRANSACTION_PRAGMA`

Constructor Summary
`BatchTransactionPragma(QName qname, java.lang.String contents)`

Method Summary
`void` | `after(XQueryContext context, Expression expression)`
`void` | `before(XQueryContext context, Expression expression)`

Methods inherited from class org.exist.xquery.Pragma
`eval, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BATCH_TRANSACTION_PRAGMA

    public static final QName BATCH_TRANSACTION_PRAGMA

Constructor Detail

### BatchTransactionPragma

    public BatchTransactionPragma(QName qname,
                                  java.lang.String contents)
                           throws XPathException

Method Detail

### after

    public void after(XQueryContext context,
                      Expression expression)
               throws XPathException

  Specified by:
    `after` in class `Pragma`
  Throws:
    `XPathException`

### before

    public void before(XQueryContext context,
                       Expression expression)
                throws XPathException

  Specified by:
    `before` in class `Pragma`
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.